<?php

namespace App\Enums;

enum MissionCategory: int
{
    case ROAD_ITEM= 1;
    case ROAD_PATROL = 2;
    case ROAD_OBSERVATION = 3;


    public static function name(int $state): string
    {
        $mapArray = [
            1 => "فعالیت روزانه",
            2 => "گشت راهداری",
            3 => "واکنش سریع",
        ];

        return $mapArray[$state];
    }
}